org.hibernate.validator.internal.engine

## Class ConstraintViolationImpl<T>

- java.lang.Object
- - org.hibernate.validator.internal.engine.ConstraintViolationImpl<T>

- All Implemented Interfaces:
    Serializable, ConstraintViolation<T>

      public class ConstraintViolationImpl<T>
      extends Object
      implements ConstraintViolation<T>, Serializable

  Author:
    Emmanuel Bernard, Hardy Ferentschik
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `static <T> ConstraintViolation<T>` | `forBeanValidation(String messageTemplate, String interpolatedMessage, Class<T> rootBeanClass, T rootBean, Object leafBeanInstance, Object value, Path propertyPath, ConstraintDescriptor<?> constraintDescriptor, ElementType elementType)`
    `static <T> ConstraintViolation<T>` | `forParameterValidation(String messageTemplate, String interpolatedMessage, Class<T> rootBeanClass, T rootBean, Object leafBeanInstance, Object value, Path propertyPath, ConstraintDescriptor<?> constraintDescriptor, ElementType elementType, Object[] executableParameters)`
    `static <T> ConstraintViolation<T>` | `forReturnValueValidation(String messageTemplate, String interpolatedMessage, Class<T> rootBeanClass, T rootBean, Object leafBeanInstance, Object value, Path propertyPath, ConstraintDescriptor<?> constraintDescriptor, ElementType elementType, Object executableReturnValue)`
    `ConstraintDescriptor<?>` | `getConstraintDescriptor()`
    `Object[]` | `getExecutableParameters()`
    `Object` | `getExecutableReturnValue()`
    `Object` | `getInvalidValue()`
    `Object` | `getLeafBean()`
    `String` | `getMessage()`
    `String` | `getMessageTemplate()`
    `Path` | `getPropertyPath()`
    `T` | `getRootBean()`
    `Class<T>` | `getRootBeanClass()`
    `int` | `hashCode()`
    `String` | `toString()`
    `<C> C` | `unwrap(Class<C> type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### forBeanValidation

          public static <T> ConstraintViolation<T> forBeanValidation(String messageTemplate,
                                                     String interpolatedMessage,
                                                     Class<T> rootBeanClass,
                                                     T rootBean,
                                                     Object leafBeanInstance,
                                                     Object value,
                                                     Path propertyPath,
                                                     ConstraintDescriptor<?> constraintDescriptor,
                                                     ElementType elementType)

    - #### forParameterValidation

          public static <T> ConstraintViolation<T> forParameterValidation(String messageTemplate,
                                                          String interpolatedMessage,
                                                          Class<T> rootBeanClass,
                                                          T rootBean,
                                                          Object leafBeanInstance,
                                                          Object value,
                                                          Path propertyPath,
                                                          ConstraintDescriptor<?> constraintDescriptor,
                                                          ElementType elementType,
                                                          Object[] executableParameters)

    - #### forReturnValueValidation

          public static <T> ConstraintViolation<T> forReturnValueValidation(String messageTemplate,
                                                            String interpolatedMessage,
                                                            Class<T> rootBeanClass,
                                                            T rootBean,
                                                            Object leafBeanInstance,
                                                            Object value,
                                                            Path propertyPath,
                                                            ConstraintDescriptor<?> constraintDescriptor,
                                                            ElementType elementType,
                                                            Object executableReturnValue)

    - #### getMessage

          public final String getMessage()

      Specified by:
        `getMessage` in interface `ConstraintViolation<T>`

    - #### getMessageTemplate

          public final String getMessageTemplate()

      Specified by:
        `getMessageTemplate` in interface `ConstraintViolation<T>`

    - #### getRootBean

          public final T getRootBean()

      Specified by:
        `getRootBean` in interface `ConstraintViolation<T>`

    - #### getRootBeanClass

          public final Class<T> getRootBeanClass()

      Specified by:
        `getRootBeanClass` in interface `ConstraintViolation<T>`

    - #### getLeafBean

          public final Object getLeafBean()

      Specified by:
        `getLeafBean` in interface `ConstraintViolation<T>`

    - #### getInvalidValue

          public final Object getInvalidValue()

      Specified by:
        `getInvalidValue` in interface `ConstraintViolation<T>`

    - #### getPropertyPath

          public final Path getPropertyPath()

      Specified by:
        `getPropertyPath` in interface `ConstraintViolation<T>`

    - #### getConstraintDescriptor

          public final ConstraintDescriptor<?> getConstraintDescriptor()

      Specified by:
        `getConstraintDescriptor` in interface `ConstraintViolation<T>`

    - #### unwrap

          public <C> C unwrap(Class<C> type)

      Specified by:
        `unwrap` in interface `ConstraintViolation<T>`

    - #### getExecutableParameters

          public Object[] getExecutableParameters()

      Specified by:
        `getExecutableParameters` in interface `ConstraintViolation<T>`

    - #### getExecutableReturnValue

          public Object getExecutableReturnValue()

      Specified by:
        `getExecutableReturnValue` in interface `ConstraintViolation<T>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved